<?php



if (!session_id()):

    session_start();

endif;



$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setPost = array_map("strip_tags", $getPost);

$post = array_map("trim", $setPost);



$jSon = array();



require ('../../_app/Config.inc.php');

$Create = new Create;

$Read = new Read;



$cliente_id = $_SESSION['clientelogin']['cliente_id'];

$post['cliente_id'] = $cliente_id;



$endereco_id = $post['cliente_endereco_id'];

unset($post['cliente_endereco_id']);



if (in_array('', $post)):

    $jSon['error'] = ["Preencha todos os campos!", "alert"];

else:

    if ($endereco_id > 0):

        //update

        $Update = new Update;

        //seta o valor na array

        $Dados['cliente_endereco_principal'] = 0;

        //atualizar todos os registro desse usuario

        $Update->ExeUpdate("tp_cliente_enderecos", $Dados, "WHERE cliente_id = :cliId", "cliId={$cliente_id}");

        //atualizar esse registro

        $Update->ExeUpdate("tp_cliente_enderecos", $post, "WHERE cliente_endereco_id = :endId", "endId={$endereco_id}");

        $jSon['error'] = ["Atualizado com sucesso!", "accept"];

        

    else:

        //Create

        $Dados['cliente_endereco_principal'] = 0;

        $Update = new Update;

        $Update->ExeUpdate("tp_cliente_enderecos", $Dados, "WHERE cliente_id = :cliId", "cliId={$cliente_id}");



        $Create->ExeCreate("tp_cliente_enderecos", $post);

        $jSon['error'] = ["Cadastro com sucesso!", "accept"];

    endif;

endif;



echo json_encode($jSon);

?>